Python2.7环境下,在调用Post接口时,发现没有安装requests包,导致程序报错“no module named requests”。于是从官网上下载了requests-2.21.0的安装包。

但执行安装时,却报如下错误:

# cd requests-2.21.0
# python setup.py install
Traceback (most recent call last):
  File "setup.py", line 10, in 
    from setuptools.command.test import test as TestCommand
  File "build/bdist.aix-7.1/egg/setuptools/command/test.py", line 5, in 
ImportError: No module named unittest

发现缺少unittest程序包

这是一个单元测试的python包,没想明白为什么requests模块会依赖于这个包。于是去网上下载了unittest安装包,结果安装unittest时又出现莫名的问题。

网上关于unittest模块的资料很少,一通搜索后也没有找到解决方法。

于是,决定转换思路。requests模块需要用到unittest包,猜测可能是由于requests安装包版本过高(从官网下载的是最新版本),导致依赖了这个包。最后找到历史版本,下载requests-2.6.0版本,顺利安装通过。

所以,以后在安装python包的时候,不要一味追求最新版本。合适的才是最好的。这有时候可能也是解决问题的一个思路。

可以从下面的页面找到需要的历史版本:

https://pypi.org/project/requests/2.6.0/#history

本站所有内容均为原创,本站保留所有权利。在保留原始来源链接的情况下,允许非商业用途的转载。拒绝一切商业性转载。

picture loss